[PATCH] Fix "Use Mouse" option in menu for NQ/Linux

The "Use Mouse" option was not present in the menu in Linux. Add it back
again. While we're at it, replace all the MS_WINDOWED checks with the generic
VID_IsFullScreen(), to eliminate some platform dependencies from this file.

diff -urN -X exclude a/NQ/menu.c head/NQ/menu.c
--- a/NQ/menu.c	2006-02-19 11:22:47.000000000 +1030
+++ head/NQ/menu.c	2006-06-03 18:05:10.000000000 +0930
@@ -35,10 +35,6 @@
 #include "vid.h"
 #include "view.h"
 
-#ifdef _WIN32
-#include "winquake.h"
-#endif
-
 void (*vid_menudrawfn) (void);
 void (*vid_menukeyfn) (int key);
 
@@ -1058,12 +1054,7 @@
 //=============================================================================
 /* OPTIONS MENU */
 
-#ifdef _WIN32
 #define	OPTIONS_ITEMS	14
-#else
-#define	OPTIONS_ITEMS	13
-#endif
-
 #define	SLIDER_RANGE	10
 
 static int options_cursor;
@@ -1075,11 +1066,8 @@
     m_state = m_options;
     m_entersound = true;
 
-#ifdef _WIN32
-    if ((options_cursor == 13) && (modestate != MS_WINDOWED)) {
+    if ((options_cursor == 13) && VID_IsFullScreen())
 	options_cursor = 0;
-    }
-#endif
 }
 
 
@@ -1156,11 +1144,9 @@
 	Cvar_SetValue("lookstrafe", !lookstrafe.value);
 	break;
 
-#ifdef _WIN32
     case 13:			// _windowed_mouse
 	Cvar_SetValue("_windowed_mouse", !_windowed_mouse.value);
 	break;
-#endif
     }
 }
 
@@ -1245,12 +1231,10 @@
     if (vid_menudrawfn)
 	M_Print(16, 128, "         Video Options");
 
-#ifdef _WIN32
-    if (modestate == MS_WINDOWED) {
+    if (!VID_IsFullScreen()) {
 	M_Print(16, 136, "             Use Mouse");
 	M_DrawCheckbox(220, 136, _windowed_mouse.value);
     }
-#endif
 
 // cursor
     M_DrawCharacter(200, 32 + options_cursor * 8,
@@ -1311,20 +1295,21 @@
 	break;
     }
 
-    if (options_cursor == 12 && vid_menudrawfn == NULL) {
+    if (options_cursor == 12 && !vid_menudrawfn) {
 	if (k == K_UPARROW)
 	    options_cursor = 11;
 	else
-	    options_cursor = 0;
+	    options_cursor = 13;
     }
-#ifdef _WIN32
-    if ((options_cursor == 13) && (modestate != MS_WINDOWED)) {
-	if (k == K_UPARROW)
-	    options_cursor = 12;
-	else
+    if ((options_cursor == 13) && VID_IsFullScreen()) {
+	if (k == K_UPARROW) {
+	    if (!vid_menudrawfn)
+		options_cursor = 11;
+	    else
+		options_cursor = 12;
+	} else
 	    options_cursor = 0;
     }
-#endif
 }
 
 //=============================================================================
diff -urN -X exclude a/QW/client/menu.c head/QW/client/menu.c
--- a/QW/client/menu.c	2006-05-13 20:52:14.000000000 +0930
+++ head/QW/client/menu.c	2006-06-03 18:05:31.000000000 +0930
@@ -32,10 +32,6 @@
 #include "vid.h"
 #include "view.h"
 
-#ifdef _WIN32
-#include "winquake.h"
-#endif
-
 void (*vid_menudrawfn) (void);
 void (*vid_menukeyfn) (int key);
 
@@ -499,14 +495,10 @@
     if (vid_menudrawfn)
 	M_Print(16, 144, "         Video Options");
 
-#ifdef _WIN32
-    if (modestate == MS_WINDOWED) {
-#endif
+    if (!VID_IsFullScreen()) {
 	M_Print(16, 152, "             Use Mouse");
 	M_DrawCheckbox(220, 152, _windowed_mouse.value);
-#ifdef _WIN32
     }
-#endif
 
 // cursor
     M_DrawCharacter(200, 32 + options_cursor * 8,
